Package com.ngrok.definitions

# Class ReservedAddr

java.lang.Object
com.ngrok.definitions.ReservedAddr

public class ReservedAddr extends Object
A class encapsulating the `ReservedAddr` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservedAddr(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String addr, String region)`
  Creates a new instance of `ReservedAddr`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAddr()`
  hostname:port of the reserved address that was assigned at creation time
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the reserved address was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of what this reserved address will be used for
  `String`
  `getId()`
  unique reserved address resource identifier
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this reserved address.
  `String`
  `getRegion()`
  reserve the address in this geographic ngrok datacenter.
  `URI`
  `getUri()`
  URI of the reserved address API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReservedAddr

    public ReservedAddr(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String addr, String region)
    Creates a new instance of `ReservedAddr`.
    Parameters:
      `id` - unique reserved address resource identifier
      `uri` - URI of the reserved address API resource
      `createdAt` - timestamp when the reserved address was created, RFC 3339 format
      `description` - human-readable description of what this reserved address will be used for
      `metadata` - arbitrary user-defined machine-readable data of this reserved address. Optional, max 4096 bytes.
      `addr` - hostname:port of the reserved address that was assigned at creation time
      `region` - reserve the address in this geographic ngrok datacenter. Optional, default is us. (au, eu, ap, us, jp, in, sa)

- ## Method Details

  - ### getId

    public String getId()
    unique reserved address resource identifier
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the reserved address API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the reserved address was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    human-readable description of what this reserved address will be used for
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this reserved address. Optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getAddr

    public String getAddr()
    hostname:port of the reserved address that was assigned at creation time
    Returns:
      the value of the property as a `String`

  - ### getRegion

    public String getRegion()
    reserve the address in this geographic ngrok datacenter. Optional, default is us. (au, eu, ap, us, jp, in, sa)
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`